#
# spec file for package khangman
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           khangman
Version:        15.12.3
Release:        0
Summary:        Hangman Game
License:        GPL-2.0+
Group:          Amusements/Teaching/Language
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifications-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libkeduvocdocument-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  kio-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
Requires:       kdeedu-data
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      khangman5 < %{version}
Obsoletes:      khangman-devel < %{version}
Obsoletes:      libkhangmanengine5  < %{version}

%description
Classical hangman game for KDE.

%prep
%setup -q -n %{name}-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%files
%defattr(-,root,root)
%doc COPYING* AUTHORS ChangeLog README
%dir %{_kf5_iconsdir}/hicolor/80x80
%dir %{_kf5_iconsdir}/hicolor/80x80/apps
%doc %{_kf5_htmldir}/en/khangman/
%doc %{_kf5_mandir}/man6/khangman.6.gz
%{_kf5_applicationsdir}/org.kde.khangman.desktop
%{_kf5_sharedir}/khangman/
%{_kf5_bindir}/khangman
%config %{_kf5_configdir}/khangman.knsrc
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/khangman.kcfg
%{_kf5_sharedir}/appdata/
%{_kf5_iconsdir}/hicolor/*/apps/khangman-harmattan.*
%{_kf5_iconsdir}/hicolor/*/apps/khangman.*

%changelog
